local createComposition1 = nil
local createCompositionsnow0 = nil
local createCompositionvistrel = nil
local createCompositionALL_SNOW = nil
local createCompositionpetard = nil
local createCompositionsnejinki_pat1 = nil
local createCompositionsnow2 = nil
local createCompositionsnow3 = nil
local createCompositionsnow4 = nil
local createCompositionsnow5 = nil
local createCompositionsnow6 = nil
local createCompositionsnow7 = nil
local createCompositionsun = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/11_corridor/ho/anim/petard/"
---------------------------------------------------------------------------------------
function Loader_11_HO_Petard_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionALL_SNOW,		                'snow',		        0,0, 21, 512,384, true),
    			CreateCompositionLoader(createCompositionpetard,		                'petard',		    0,0, 20, 512,384, false),
		},
		{
			function (element, textureName)
				if textureName == "flesh_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(32)
					anim:SetTextureRect(0,0,46,52)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:SetBlendMode(0)
					anim:Play()
				end
				if textureName == "snejinka.png" then
					local anim = element:GetTexture()
					anim:SetBlendMode(0)
					return
				end
				if textureName == "snejinka.png" then
					local anim = element:GetTexture()
					anim:SetBlendMode(0)
					return
				end
			end,
		});
end
---------------------------------------------------------------------------------------
createComposition1 = function()
	local composition1 = CreateCompositionSequence()
	local compositionDuration = 8
	composition1:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_1")
	composition1:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(composition1)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 580)
	effector:SetKey(_TRACK_Y, 0, -19)
	effector:SetKey(_TRACK_X, 2.75, 614.021598202368)
	effector:SetKey(_TRACK_Y, 2.75, 153.129684547897)
	effector:SetKey(_TRACK_X, 2.875, 614)
	effector:SetKey(_TRACK_Y, 2.875, 162)
	effector:SetKey(_TRACK_X, 2.95833333333333, 613.715503654698)
	effector:SetKey(_TRACK_Y, 2.95833333333333, 168.772103830154)
	effector:SetKey(_TRACK_X, 8, 535)
	effector:SetKey(_TRACK_Y, 8, 517)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 3.16666666666667, 1.49628725682548)
	effector:SetKey(_TRACK_SY, 3.16666666666667, 0.56936741152539)
	effector:SetKey(_TRACK_SX, 6.70833333333333, 1)
	effector:SetKey(_TRACK_SY, 6.70833333333333, 1)
	effector:SetKey(_TRACK_SX, 7, 1)
	effector:SetKey(_TRACK_SY, 7, 1)
	effector:SetKey(_TRACK_SX, 7.83333333333333, 0.3957961131096)
	effector:SetKey(_TRACK_SY, 7.83333333333333, 1.08021587432371)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 3.16666666666667, -1.0707275823561)
	effector:SetKey(_TRACK_O, 7, 1)
	effector:SetKey(_TRACK_O, 7.95833333333333, 0)
	effector:Play()
 
	composition1:Play()
 
	return composition1
end
 
createCompositionsnow0 = function()
	local compositionsnow0 = CreateCompositionSequence()
	local compositionDuration = 0.75
	compositionsnow0:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_1")
	compositionsnow0:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow0)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.75)
	effector:SetKey(_TRACK_X, 0, 771)
	effector:SetKey(_TRACK_Y, 0, 216.5)
	effector:SetKey(_TRACK_X, 0.08333333333333, 816.599972548212)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 113.299960869826)
	effector:SetKey(_TRACK_X, 0.375, 890)
	effector:SetKey(_TRACK_Y, 0.375, -25.5)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.375, 4.14891777148192)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_2")
	compositionsnow0:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow0)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.75)
	effector:SetKey(_TRACK_X, 0, 771)
	effector:SetKey(_TRACK_Y, 0, 221.5)
	effector:SetKey(_TRACK_X, 0.08333333333333, 853.599972548212)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 129.299960869826)
	effector:SetKey(_TRACK_X, 0.375, 1045)
	effector:SetKey(_TRACK_Y, 0.375, -19.5)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.375, 4.14891777148192)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_3")
	compositionsnow0:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow0)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.75)
	effector:SetKey(_TRACK_X, 0, 766)
	effector:SetKey(_TRACK_Y, 0, 225.5)
	effector:SetKey(_TRACK_X, 0.08333333333333, 714.599972548212)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 109.299960869826)
	effector:SetKey(_TRACK_X, 0.375, 681)
	effector:SetKey(_TRACK_Y, 0.375, -26.5)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.375, 4.14891777148192)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_4")
	compositionsnow0:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow0)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.75)
	effector:SetKey(_TRACK_X, 0, 762)
	effector:SetKey(_TRACK_Y, 0, 225.5)
	effector:SetKey(_TRACK_X, 0.08333333333333, 769.599972548212)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 111.299960869826)
	effector:SetKey(_TRACK_X, 0.375, 778)
	effector:SetKey(_TRACK_Y, 0.375, -27.5)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.375, 4.14891777148192)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_5")
	compositionsnow0:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow0)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.75)
	effector:SetKey(_TRACK_X, 0, 775)
	effector:SetKey(_TRACK_Y, 0, 233.5)
	effector:SetKey(_TRACK_X, 0.08333333333333, 824.599972548212)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 148.299960869826)
	effector:SetKey(_TRACK_X, 0.375, 934)
	effector:SetKey(_TRACK_Y, 0.375, -25.5)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.375, 4.14891777148192)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_6")
	compositionsnow0:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow0)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.75)
	effector:SetKey(_TRACK_X, 0, 757)
	effector:SetKey(_TRACK_Y, 0, 231.5)
	effector:SetKey(_TRACK_X, 0.08333333333333, 746.599972548212)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 135.299960869826)
	effector:SetKey(_TRACK_X, 0.375, 720)
	effector:SetKey(_TRACK_Y, 0.375, -46.5)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.375, 4.14891777148192)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_7")
	compositionsnow0:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow0)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.75)
	effector:SetKey(_TRACK_X, 0, 757)
	effector:SetKey(_TRACK_Y, 0, 231.5)
	effector:SetKey(_TRACK_X, 0.08333333333333, 790.599972548212)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 135.299960869826)
	effector:SetKey(_TRACK_X, 0.375, 848)
	effector:SetKey(_TRACK_Y, 0.375, -25.5)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.375, 4.14891777148192)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_8")
	compositionsnow0:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow0)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.75)
	effector:SetKey(_TRACK_X, 0, 757)
	effector:SetKey(_TRACK_Y, 0, 231.5)
	effector:SetKey(_TRACK_X, 0.08333333333333, 867.599972548212)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 155.299960869826)
	effector:SetKey(_TRACK_X, 0.375, 1082)
	effector:SetKey(_TRACK_Y, 0.375, 95.5)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.20833333333333, 4.14891777148192)
	effector:Play()
 
 
	-- Layer Layer_9
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_9")
	compositionsnow0:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow0)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.75)
	effector:SetKey(_TRACK_X, 0, 757)
	effector:SetKey(_TRACK_Y, 0, 231.5)
	effector:SetKey(_TRACK_X, 0.08333333333333, 684.599972548212)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 128.299960869826)
	effector:SetKey(_TRACK_X, 0.375, 576)
	effector:SetKey(_TRACK_Y, 0.375, -26.5)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.20833333333333, 4.14891777148192)
	effector:Play()
 
	compositionsnow0:Play()
 
	return compositionsnow0
end
 
createCompositionvistrel = function()
	local compositionvistrel = CreateCompositionSequence()
	local compositionDuration = 1.375
	compositionvistrel:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."flesh_[].png")
	element:SetName("Layer_1")
	compositionvistrel:AddElement(element)
	element:SetHotSpot(23, 26)
	element:SetParentElement(compositionvistrel)
	element:SetXY(762, 238)
 
	element:SetScaleX(3)
	element:SetScaleY(2.61538461538462)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.04166666666667, 1.375)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."flesh_[].png")
	element:SetName("Layer_2")
	compositionvistrel:AddElement(element)
	element:SetHotSpot(23, 26)
	element:SetParentElement(compositionvistrel)
	element:SetXY(762, 238)
 
	element:SetScaleX(3)
	element:SetScaleY(2.61538461538462)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.33333333333333)
	effector:Play()
 
 
	-- Layer Layer_3
	element = createCompositionsnow0()
	element:SetName("Layer_3")
	compositionvistrel:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionvistrel)
	element:SetScaleX(0.779296875)
	element:SetScaleY(0.88541666666667)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.04166666666667, 0.79166666666667)
	effector:SetKey(_TRACK_X, 0.04166666666667, 579)
	effector:SetKey(_TRACK_Y, 0.04166666666667, 362)
	effector:SetKey(_TRACK_X, 0.25, 578)
	effector:SetKey(_TRACK_Y, 0.25, 323)
	effector:Play()
 
 
	-- Layer Layer_4
	element = createCompositionsnow0()
	element:SetName("Layer_4")
	compositionvistrel:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionvistrel)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.04166666666667, 0.79166666666667)
	effector:SetKey(_TRACK_X, 0.04166666666667, 512)
	effector:SetKey(_TRACK_Y, 0.04166666666667, 384)
	effector:SetKey(_TRACK_X, 0.25, 614)
	effector:SetKey(_TRACK_Y, 0.25, 259)
	effector:Play()
 
 
	-- Layer Layer_5
	element = createCompositionsnow0()
	element:SetName("Layer_5")
	compositionvistrel:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionvistrel)
	element:SetScaleX(0.845703125)
	element:SetScaleY(0.92447916666667)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.04166666666667, 0.79166666666667)
	effector:SetKey(_TRACK_X, 0.04166666666667, 552)
	effector:SetKey(_TRACK_Y, 0.04166666666667, 374)
	effector:SetKey(_TRACK_X, 0.125, 546)
	effector:SetKey(_TRACK_Y, 0.125, 411)
	effector:SetKey(_TRACK_X, 0.20833333333333, 546)
	effector:SetKey(_TRACK_Y, 0.20833333333333, 411)
	effector:SetKey(_TRACK_X, 0.33333333333333, 593)
	effector:SetKey(_TRACK_Y, 0.33333333333333, 323)
	effector:Play()
 
 
	-- Layer Layer_6
	element = createCompositionsnow0()
	element:SetName("Layer_6")
	compositionvistrel:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionvistrel)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.04166666666667, 0.79166666666667)
	effector:Play()
 
	compositionvistrel:Play()
 
	return compositionvistrel
end
 
createCompositionALL_SNOW = function()
	local compositionALL_SNOW = CreateCompositionSequence()
	local compositionDuration = 8
	compositionALL_SNOW:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionsnow7()
	element:SetName("Layer_1")
	compositionALL_SNOW:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionALL_SNOW)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositionsnow6()
	element:SetName("Layer_2")
	compositionALL_SNOW:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionALL_SNOW)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_3
	element = createCompositionsnow5()
	element:SetName("Layer_3")
	compositionALL_SNOW:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionALL_SNOW)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_4
	element = createCompositionsnow4()
	element:SetName("Layer_4")
	compositionALL_SNOW:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionALL_SNOW)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_5
	element = createCompositionsnow3()
	element:SetName("Layer_5")
	compositionALL_SNOW:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionALL_SNOW)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_6
	element = createCompositionsnow2()
	element:SetName("Layer_6")
	compositionALL_SNOW:AddElement(element)
	element:SetHotSpot(847.256973863182, 255.603721207745)
	element:SetParentElement(compositionALL_SNOW)
	element:SetXY(723.616104722557, 255.603721207745)
 
	element:SetAngle(-0.07050265402872)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_7
	element = createCompositionsnow2()
	element:SetName("Layer_7")
	compositionALL_SNOW:AddElement(element)
	element:SetHotSpot(847.256973863182, 255.603721207745)
	element:SetParentElement(compositionALL_SNOW)
	element:SetXY(847.256973863182, 255.603721207745)
 
	element:SetAngle(-0.0008214624852)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_8")
	compositionALL_SNOW:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionALL_SNOW)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 618)
	effector:SetKey(_TRACK_Y, 0, -21)
	effector:SetKey(_TRACK_X, 3.125, 653.675541421157)
	effector:SetKey(_TRACK_Y, 3.125, 180.255966146815)
	effector:SetKey(_TRACK_X, 3.29166666666667, 654)
	effector:SetKey(_TRACK_Y, 3.29166666666667, 191)
	effector:SetKey(_TRACK_X, 3.41666666666667, 653.928567481703)
	effector:SetKey(_TRACK_Y, 3.41666666666667, 198.741099944699)
	effector:SetKey(_TRACK_X, 7.95833333333333, 614)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 480)
	effector:SetKey(_TRACK_SX, 3.25, 1)
	effector:SetKey(_TRACK_SY, 3.25, 1)
	effector:SetKey(_TRACK_SX, 7.79166666666667, 0.34633487326602)
	effector:SetKey(_TRACK_SY, 7.79166666666667, 1.30836548106542)
	effector:SetKey(_TRACK_SX, 7.95833333333333, 0.05041477782839)
	effector:SetKey(_TRACK_SY, 7.95833333333333, 1.3143714651819)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 7.95833333333333, 7.47000919)
	effector:SetKey(_TRACK_O, 7.79166666666667, 1)
	effector:SetKey(_TRACK_O, 7.95833333333333, 0.12)
	effector:Play()
 
 
	-- Layer Layer_9
	element = createComposition1()
	element:SetName("Layer_9")
	compositionALL_SNOW:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionALL_SNOW)
	element:SetXY(740, 366)
 
	element:SetScaleX(-0.7734375)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_10
	element = createComposition1()
	element:SetName("Layer_10")
	compositionALL_SNOW:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionALL_SNOW)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_11
	element = createCompositionsnejinki_pat1()
	element:SetName("Layer_11")
	compositionALL_SNOW:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionALL_SNOW)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionALL_SNOW:Play()
 
	return compositionALL_SNOW
end
 
createCompositionpetard = function()
	local compositionpetard = CreateCompositionSequence()
	local compositionDuration = 2.70833333333333
	compositionpetard:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionvistrel()
	element:SetName("Layer_1")
	compositionpetard:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionpetard)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.125, 1.5)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."oblako_pravoe.png")
	element:SetName("Layer_2")
	compositionpetard:AddElement(element)
	element:SetHotSpot(113, -3)
	element:SetParentElement(compositionpetard)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.70833333333333)
	effector:SetKey(_TRACK_X, 0.16666666666667, 918)
	effector:SetKey(_TRACK_Y, 0.16666666666667, -3)
	effector:SetKey(_TRACK_X, 0.25, 918)
	effector:SetKey(_TRACK_Y, 0.25, -8)
	effector:SetKey(_TRACK_X, 0.45833333333333, 918)
	effector:SetKey(_TRACK_Y, 0.45833333333333, -3)
	effector:SetKey(_TRACK_X, 0.66666666666667, 918)
	effector:SetKey(_TRACK_Y, 0.66666666666667, -8)
	effector:SetKey(_TRACK_X, 0.79166666666667, 918)
	effector:SetKey(_TRACK_Y, 0.79166666666667, -6.74996267881366)
	effector:SetKey(_TRACK_X, 1, 918)
	effector:SetKey(_TRACK_Y, 1, -3)
	effector:SetKey(_TRACK_SX, 0.16666666666667, 1)
	effector:SetKey(_TRACK_SY, 0.16666666666667, 1)
	effector:SetKey(_TRACK_SX, 0.25, 1.00934579439252)
	effector:SetKey(_TRACK_SY, 0.25, 0.96618357487923)
	effector:SetKey(_TRACK_SX, 0.45833333333333, 1)
	effector:SetKey(_TRACK_SY, 0.45833333333333, 1)
	effector:SetKey(_TRACK_SX, 0.66666666666667, 1.00934579439252)
	effector:SetKey(_TRACK_SY, 0.66666666666667, 0.96618357487923)
	effector:SetKey(_TRACK_SX, 0.79166666666667, 1.00700934579439)
	effector:SetKey(_TRACK_SY, 0.79166666666667, 0.97463768115942)
	effector:SetKey(_TRACK_SX, 1, 1)
	effector:SetKey(_TRACK_SY, 1, 1)
	effector:SetKey(_TRACK_A, 0.16666666666667, 0)
	effector:SetKey(_TRACK_A, 0.41666666666667, -0.08113794735843)
	effector:SetKey(_TRACK_A, 0.70833333333333, 0)
	effector:SetKey(_TRACK_A, 1.04166666666667, 0.04038895505491)
	effector:SetKey(_TRACK_A, 1.45833333333333, 0)
	effector:SetKey(_TRACK_A, 1.75, -0.03155364619494)
	effector:SetKey(_TRACK_A, 1.91666666666667, -0.04056897367921)
	effector:SetKey(_TRACK_A, 2.20833333333333, -0.02704598245281)
	effector:SetKey(_TRACK_A, 2.45833333333333, -0.0067614956132)
	effector:SetKey(_TRACK_A, 2.66666666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."oblako_levoe.png")
	element:SetName("Layer_3")
	compositionpetard:AddElement(element)
	element:SetHotSpot(129, -2)
	element:SetParentElement(compositionpetard)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.70833333333333)
	effector:SetKey(_TRACK_X, 0.16666666666667, 745)
	effector:SetKey(_TRACK_Y, 0.16666666666667, -2)
	effector:SetKey(_TRACK_X, 0.25, 745)
	effector:SetKey(_TRACK_Y, 0.25, -7)
	effector:SetKey(_TRACK_X, 0.45833333333333, 745)
	effector:SetKey(_TRACK_Y, 0.45833333333333, -2)
	effector:SetKey(_TRACK_X, 0.66666666666667, 745)
	effector:SetKey(_TRACK_Y, 0.66666666666667, -7)
	effector:SetKey(_TRACK_X, 0.79166666666667, 745)
	effector:SetKey(_TRACK_Y, 0.79166666666667, -5.74996267881366)
	effector:SetKey(_TRACK_X, 1, 745)
	effector:SetKey(_TRACK_Y, 1, -2)
	effector:SetKey(_TRACK_SX, 0.16666666666667, 1)
	effector:SetKey(_TRACK_SY, 0.16666666666667, 1)
	effector:SetKey(_TRACK_SX, 0.25, 1)
	effector:SetKey(_TRACK_SY, 0.25, 0.96694214876033)
	effector:SetKey(_TRACK_SX, 0.45833333333333, 1)
	effector:SetKey(_TRACK_SY, 0.45833333333333, 1)
	effector:SetKey(_TRACK_SX, 0.66666666666667, 1)
	effector:SetKey(_TRACK_SY, 0.66666666666667, 0.96694214876033)
	effector:SetKey(_TRACK_SX, 0.79166666666667, 1)
	effector:SetKey(_TRACK_SY, 0.79166666666667, 0.97520661157025)
	effector:SetKey(_TRACK_SX, 1, 1)
	effector:SetKey(_TRACK_SY, 1, 1)
	effector:SetKey(_TRACK_A, 0.16666666666667, 0)
	effector:SetKey(_TRACK_A, 0.41666666666667, 0.07186481555025)
	effector:SetKey(_TRACK_A, 0.70833333333333, 0)
	effector:SetKey(_TRACK_A, 1.04166666666667, -0.04874185125424)
	effector:SetKey(_TRACK_A, 1.45833333333333, 0)
	effector:SetKey(_TRACK_A, 1.75, 0.02794742826954)
	effector:SetKey(_TRACK_A, 1.91666666666667, 0.03593240777512)
	effector:SetKey(_TRACK_A, 2.20833333333333, 0.02395493851675)
	effector:SetKey(_TRACK_A, 2.45833333333333, 0.00598873462919)
	effector:SetKey(_TRACK_A, 2.66666666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_4
	element = createCompositionsun()
	element:SetName("Layer_4")
	compositionpetard:AddElement(element)
	element:SetHotSpot(514, 209)
	element:SetParentElement(compositionpetard)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.70833333333333)
	effector:SetKey(_TRACK_X, 0.16666666666667, 795)
	effector:SetKey(_TRACK_Y, 0.16666666666667, -25)
	effector:SetKey(_TRACK_X, 0.25, 795)
	effector:SetKey(_TRACK_Y, 0.25, -30)
	effector:SetKey(_TRACK_X, 0.45833333333333, 795)
	effector:SetKey(_TRACK_Y, 0.45833333333333, -25)
	effector:SetKey(_TRACK_X, 0.66666666666667, 795)
	effector:SetKey(_TRACK_Y, 0.66666666666667, -30)
	effector:SetKey(_TRACK_X, 0.79166666666667, 795)
	effector:SetKey(_TRACK_Y, 0.79166666666667, -28.7499626788137)
	effector:SetKey(_TRACK_X, 1, 795)
	effector:SetKey(_TRACK_Y, 1, -25)
	effector:SetKey(_TRACK_SX, 0.16666666666667, 1)
	effector:SetKey(_TRACK_SY, 0.16666666666667, 1)
	effector:SetKey(_TRACK_SX, 0.25, 1)
	effector:SetKey(_TRACK_SY, 0.25, 0.94991055456172)
	effector:SetKey(_TRACK_SX, 0.45833333333333, 1)
	effector:SetKey(_TRACK_SY, 0.45833333333333, 1)
	effector:SetKey(_TRACK_SX, 0.66666666666667, 1)
	effector:SetKey(_TRACK_SY, 0.66666666666667, 0.94991055456172)
	effector:SetKey(_TRACK_SX, 0.79166666666667, 1)
	effector:SetKey(_TRACK_SY, 0.79166666666667, 0.96243291592129)
	effector:SetKey(_TRACK_SX, 1, 1)
	effector:SetKey(_TRACK_SY, 1, 1)
	effector:SetKey(_TRACK_A, 0.16666666666667, 0)
	effector:SetKey(_TRACK_A, 0.41666666666667, -0.03299364631794)
	effector:SetKey(_TRACK_A, 0.70833333333333, 0)
	effector:SetKey(_TRACK_A, 1.04166666666667, 0.03157952124156)
	effector:SetKey(_TRACK_A, 1.45833333333333, 0)
	effector:SetKey(_TRACK_A, 1.75, -0.01283086245698)
	effector:SetKey(_TRACK_A, 1.91666666666667, -0.01649682315897)
	effector:SetKey(_TRACK_A, 2.20833333333333, -0.01099788210598)
	effector:SetKey(_TRACK_A, 2.45833333333333, -0.0027494705265)
	effector:SetKey(_TRACK_A, 2.66666666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."hlopushka_2.png")
	element:SetName("Layer_5")
	compositionpetard:AddElement(element)
	element:SetHotSpot(45, 85)
	element:SetParentElement(compositionpetard)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.125, 2.70833333333333)
	effector:SetKey(_TRACK_X, 0.125, 740.5)
	effector:SetKey(_TRACK_Y, 0.125, 312.5)
	effector:SetKey(_TRACK_X, 0.16666666666667, 739.5)
	effector:SetKey(_TRACK_Y, 0.16666666666667, 315.5)
	effector:SetKey(_TRACK_X, 0.20833333333333, 740.5)
	effector:SetKey(_TRACK_Y, 0.20833333333333, 312.5)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."hlopushka_1.png")
	element:SetName("Layer_6")
	compositionpetard:AddElement(element)
	element:SetHotSpot(44, 87)
	element:SetParentElement(compositionpetard)
	element:SetXY(737.882369995117, 309.176483154297)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.125)
	effector:Play()
 
	compositionpetard:Play()
 
	return compositionpetard
end
 
createCompositionsnejinki_pat1 = function()
	local compositionsnejinki_pat1 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionsnejinki_pat1:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_1")
	compositionsnejinki_pat1:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnejinki_pat1)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 740.375860467521)
	effector:SetKey(_TRACK_Y, 0, 270.272040073122)
	effector:SetKey(_TRACK_X, 0.45833333333333, 724.370829869421)
	effector:SetKey(_TRACK_Y, 0.45833333333333, 308.754479850359)
	effector:SetKey(_TRACK_X, 0.70833333333333, 717.0757572544)
	effector:SetKey(_TRACK_Y, 0.70833333333333, 330.289821191193)
	effector:SetKey(_TRACK_X, 1, 710.185522073015)
	effector:SetKey(_TRACK_Y, 1, 355.901783656359)
	effector:SetKey(_TRACK_X, 1.33333333333333, 704.867686117878)
	effector:SetKey(_TRACK_Y, 1.33333333333333, 385.735664948546)
	effector:SetKey(_TRACK_X, 1.75, 702.7750716493)
	effector:SetKey(_TRACK_Y, 1.75, 423.543425083792)
	effector:SetKey(_TRACK_X, 2.08333333333333, 705.203794183015)
	effector:SetKey(_TRACK_Y, 2.08333333333333, 453.734462877666)
	effector:SetKey(_TRACK_X, 2.41666666666667, 711.442151131446)
	effector:SetKey(_TRACK_Y, 2.41666666666667, 483.379521222789)
	effector:SetKey(_TRACK_X, 2.75, 721.35563302458)
	effector:SetKey(_TRACK_Y, 2.75, 512.009626727251)
	effector:SetKey(_TRACK_X, 3.08333333333333, 734.577091184976)
	effector:SetKey(_TRACK_Y, 3.08333333333333, 539.261009802715)
	effector:SetKey(_TRACK_X, 3.45833333333333, 752.816567084803)
	effector:SetKey(_TRACK_Y, 3.45833333333333, 568.06127537274)
	effector:SetKey(_TRACK_X, 3.83333333333333, 773.930320708126)
	effector:SetKey(_TRACK_Y, 3.83333333333333, 594.82151179678)
	effector:SetKey(_TRACK_X, 4.16666666666667, 794.629290732166)
	effector:SetKey(_TRACK_Y, 4.16666666666667, 616.989921569434)
	effector:SetKey(_TRACK_SX, 0, -0.09270625549788)
	effector:SetKey(_TRACK_SY, 0, 0.6)
	effector:SetKey(_TRACK_SX, 2.77677408854167, -0.6)
	effector:SetKey(_TRACK_SY, 2.77677408854167, 0.6)
	effector:SetKey(_TRACK_SX, 4.16666666666667, -0.6)
	effector:SetKey(_TRACK_SY, 4.16666666666667, 0.33333333333333)
	effector:SetKey(_TRACK_A, 0, 1.40124061162972)
	effector:SetKey(_TRACK_A, 4.16666666666667, 2.94106545957447)
	effector:SetKey(_TRACK_O, 2.20833333333333, 0.7)
	effector:SetKey(_TRACK_O, 4.20833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_2")
	compositionsnejinki_pat1:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnejinki_pat1)
	element:SetOpacity(0.7)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 4.20833333333333, 781.499999789705)
	effector:SetKey(_TRACK_Y, 4.20833333333333, -20.5000010807017)
	effector:SetKey(_TRACK_X, 4.75, 823.989000538774)
	effector:SetKey(_TRACK_Y, 4.75, 3.72823263345502)
	effector:SetKey(_TRACK_X, 4.91666666666667, 833.599024582849)
	effector:SetKey(_TRACK_Y, 4.91666666666667, 15.4042165951633)
	effector:SetKey(_TRACK_X, 5.125, 840.827294943707)
	effector:SetKey(_TRACK_Y, 5.125, 32.820016498397)
	effector:SetKey(_TRACK_X, 5.41666666666667, 841.597156805086)
	effector:SetKey(_TRACK_Y, 5.41666666666667, 59.1937438023152)
	effector:SetKey(_TRACK_X, 5.79166666666667, 832.703100029761)
	effector:SetKey(_TRACK_Y, 5.79166666666667, 92.0427784045121)
	effector:SetKey(_TRACK_X, 6.16666666666667, 818.830316841032)
	effector:SetKey(_TRACK_Y, 6.16666666666667, 123.185361056123)
	effector:SetKey(_TRACK_X, 6.875, 788.08388091031)
	effector:SetKey(_TRACK_Y, 6.875, 179.790077793934)
	effector:SetKey(_TRACK_X, 8, 740.375860467521)
	effector:SetKey(_TRACK_Y, 8, 270.272040073122)
	effector:SetKey(_TRACK_SX, 4.20833333333333, 0.6)
	effector:SetKey(_TRACK_SY, 4.20833333333333, 0.6)
	effector:SetKey(_TRACK_SX, 8, -0.09270625549788)
	effector:SetKey(_TRACK_SY, 8, 0.6)
	effector:SetKey(_TRACK_A, 4.20833333333333, 0)
	effector:SetKey(_TRACK_A, 8, 1.40124061162972)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_3")
	compositionsnejinki_pat1:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnejinki_pat1)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 683.499999789705)
	effector:SetKey(_TRACK_Y, 0, -18.5000010807017)
	effector:SetKey(_TRACK_X, 0.79166666666667, 692.238895572476)
	effector:SetKey(_TRACK_Y, 0.79166666666667, 35.3788913484706)
	effector:SetKey(_TRACK_X, 1.70833333333333, 698.092340591687)
	effector:SetKey(_TRACK_Y, 1.70833333333333, 98.2836151754902)
	effector:SetKey(_TRACK_X, 2.91666666666667, 696.608255524376)
	effector:SetKey(_TRACK_Y, 2.91666666666667, 181.507397959961)
	effector:SetKey(_TRACK_X, 4.20833333333333, 679.150845232361)
	effector:SetKey(_TRACK_Y, 4.20833333333333, 268.651461936732)
	effector:SetKey(_TRACK_X, 5.16666666666667, 652.490131926462)
	effector:SetKey(_TRACK_Y, 5.16666666666667, 328.969483223403)
	effector:SetKey(_TRACK_X, 6.125, 613.057766019251)
	effector:SetKey(_TRACK_Y, 6.125, 381.792771791563)
	effector:SetKey(_TRACK_X, 7.25, 552.861042950373)
	effector:SetKey(_TRACK_Y, 7.25, 430.352167597786)
	effector:SetKey(_TRACK_X, 7.95833333333333, 509.629290732166)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 452.989921569434)
	effector:SetKey(_TRACK_SX, 0, 0.6)
	effector:SetKey(_TRACK_SY, 0, 0.6)
	effector:SetKey(_TRACK_SX, 6.56844075520833, -0.6)
	effector:SetKey(_TRACK_SY, 6.56844075520833, 0.6)
	effector:SetKey(_TRACK_SX, 7.95833333333333, -0.6)
	effector:SetKey(_TRACK_SY, 7.95833333333333, 0.33333333333333)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 7.95833333333333, 2.94106545957447)
	effector:SetKey(_TRACK_O, 6, 0.7)
	effector:SetKey(_TRACK_O, 8, 0)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_4")
	compositionsnejinki_pat1:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnejinki_pat1)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0.75, 560.629290732166)
	effector:SetKey(_TRACK_Y, 0.75, -25.0100784305662)
	effector:SetKey(_TRACK_X, 1.46744791666667, 584.714896971161)
	effector:SetKey(_TRACK_Y, 1.46744791666667, 23.6088119249315)
	effector:SetKey(_TRACK_X, 2.22265625, 585.827402523065)
	effector:SetKey(_TRACK_Y, 2.22265625, 80.3236648513473)
	effector:SetKey(_TRACK_X, 2.97786458333333, 562.707715043886)
	effector:SetKey(_TRACK_Y, 2.97786458333333, 132.590225174035)
	effector:SetKey(_TRACK_X, 3.73307291666667, 531.845729814428)
	effector:SetKey(_TRACK_Y, 3.73307291666667, 180.957686557113)
	effector:SetKey(_TRACK_X, 4.1484375, 516.916763925463)
	effector:SetKey(_TRACK_Y, 4.1484375, 208.734893834771)
	effector:SetKey(_TRACK_X, 4.52604166666667, 507.959034504651)
	effector:SetKey(_TRACK_Y, 4.52604166666667, 235.926480409986)
	effector:SetKey(_TRACK_X, 4.75260416666667, 502.857057816548)
	effector:SetKey(_TRACK_Y, 4.75260416666667, 258.177443476322)
	effector:SetKey(_TRACK_X, 5.09244791666667, 507.856835963142)
	effector:SetKey(_TRACK_Y, 5.09244791666667, 292.14651845165)
	effector:SetKey(_TRACK_X, 5.65885416666667, 526.037469222625)
	effector:SetKey(_TRACK_Y, 5.65885416666667, 346.635752148806)
	effector:SetKey(_TRACK_X, 6.1875, 538.597955238876)
	effector:SetKey(_TRACK_Y, 6.1875, 398.687819592874)
	effector:SetKey(_TRACK_X, 6.67838541666667, 538.775968693843)
	effector:SetKey(_TRACK_Y, 6.67838541666667, 448.33328546802)
	effector:SetKey(_TRACK_X, 7.24479166666667, 522.44211912964)
	effector:SetKey(_TRACK_Y, 7.24479166666667, 503.182671688384)
	effector:SetKey(_TRACK_X, 7.58463541666667, 505.725192357349)
	effector:SetKey(_TRACK_Y, 7.58463541666667, 533.29434871952)
	effector:SetKey(_TRACK_X, 8, 480.499999886502)
	effector:SetKey(_TRACK_Y, 8, 566.999999007935)
	effector:SetKey(_TRACK_SX, 0.75, -0.6)
	effector:SetKey(_TRACK_SY, 0.75, 0.33333333333333)
	effector:SetKey(_TRACK_SX, 4.67708333333333, -0.6)
	effector:SetKey(_TRACK_SY, 4.67708333333333, -0.6)
	effector:SetKey(_TRACK_SX, 8, -0.6)
	effector:SetKey(_TRACK_SY, 8, -0.6)
	effector:SetKey(_TRACK_A, 0.75, 2.94106545957447)
	effector:SetKey(_TRACK_A, 8, 6.2831853)
	effector:SetKey(_TRACK_O, 6.20833333333333, 0.7)
	effector:SetKey(_TRACK_O, 8, 0)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_5")
	compositionsnejinki_pat1:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnejinki_pat1)
	element:SetAngle(2.94106545957447)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 1.08333333333333, 910.629290732166)
	effector:SetKey(_TRACK_Y, 1.08333333333333, -20.0100784305662)
	effector:SetKey(_TRACK_X, 2.34696451822917, 934.714896971161)
	effector:SetKey(_TRACK_Y, 2.34696451822917, 28.6088119249315)
	effector:SetKey(_TRACK_X, 3.67708333333333, 935.827402523065)
	effector:SetKey(_TRACK_Y, 3.67708333333333, 85.3236648513473)
	effector:SetKey(_TRACK_X, 5.0072021484375, 912.707715043886)
	effector:SetKey(_TRACK_Y, 5.0072021484375, 137.590225174035)
	effector:SetKey(_TRACK_X, 6.33732096354167, 881.845729814428)
	effector:SetKey(_TRACK_Y, 6.33732096354167, 185.957686557113)
	effector:SetKey(_TRACK_X, 7.06892903645833, 866.916763925463)
	effector:SetKey(_TRACK_Y, 7.06892903645833, 213.734893834771)
	effector:SetKey(_TRACK_X, 7.73396809895833, 857.959034504651)
	effector:SetKey(_TRACK_Y, 7.73396809895833, 240.926480409986)
	effector:SetKey(_TRACK_SX, 1.08333333333333, -0.6)
	effector:SetKey(_TRACK_SY, 1.08333333333333, 0.33333333333333)
	effector:SetKey(_TRACK_SX, 8, -0.6)
	effector:SetKey(_TRACK_SY, 8, -0.6)
	effector:SetKey(_TRACK_O, 6.20833333333333, 0.7)
	effector:SetKey(_TRACK_O, 8, 0)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_6")
	compositionsnejinki_pat1:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnejinki_pat1)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 2.54166666666667, 1042.5)
	effector:SetKey(_TRACK_Y, 2.54166666666667, 291.5)
	effector:SetKey(_TRACK_X, 3.16556803385417, 1016.98053099044)
	effector:SetKey(_TRACK_Y, 3.16556803385417, 349.809239120164)
	effector:SetKey(_TRACK_X, 3.7611083984375, 968.897671531312)
	effector:SetKey(_TRACK_Y, 3.7611083984375, 388.517751037365)
	effector:SetKey(_TRACK_X, 5.57613118489583, 800.84489377312)
	effector:SetKey(_TRACK_Y, 5.57613118489583, 474.379424428114)
	effector:SetKey(_TRACK_X, 6.11494954427083, 754.611325104123)
	effector:SetKey(_TRACK_Y, 6.11494954427083, 505.933838706997)
	effector:SetKey(_TRACK_X, 6.483642578125, 728.041860952664)
	effector:SetKey(_TRACK_Y, 6.483642578125, 533.471749806128)
	effector:SetKey(_TRACK_X, 6.7388916015625, 714.512246452874)
	effector:SetKey(_TRACK_Y, 6.7388916015625, 556.248174024113)
	effector:SetKey(_TRACK_X, 7.16426595052083, 705.433873626061)
	effector:SetKey(_TRACK_Y, 7.16426595052083, 599.215385139956)
	effector:SetKey(_TRACK_X, 7.532958984375, 710.976100038896)
	effector:SetKey(_TRACK_Y, 7.532958984375, 637.034881057742)
	effector:SetKey(_TRACK_X, 7.78816731770833, 719.929824927492)
	effector:SetKey(_TRACK_Y, 7.78816731770833, 662.00527044432)
	effector:SetKey(_TRACK_X, 7.95833333333333, 727.5)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 678)
	effector:SetKey(_TRACK_SX, 2.54166666666667, 0.6)
	effector:SetKey(_TRACK_SY, 2.54166666666667, 0.6)
	effector:SetKey(_TRACK_SX, 4.58353678385417, 0.6)
	effector:SetKey(_TRACK_SY, 4.58353678385417, -0.6)
	effector:SetKey(_TRACK_SX, 6.62544759114583, 0.6)
	effector:SetKey(_TRACK_SY, 6.62544759114583, 0.6)
	effector:SetKey(_TRACK_A, 2.54166666666667, 0)
	effector:SetKey(_TRACK_A, 7.95833333333333, -6.2831853)
	effector:SetKey(_TRACK_O, 6.125, 1)
	effector:SetKey(_TRACK_O, 7.9375, 0)
	effector:Play()
 
	compositionsnejinki_pat1:Play()
 
	return compositionsnejinki_pat1
end
 
createCompositionsnow2 = function()
	local compositionsnow2 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionsnow2:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_1")
	compositionsnow2:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow2)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 847.256973266602)
	effector:SetKey(_TRACK_Y, 0, 257.981414794922)
	effector:SetKey(_TRACK_X, 3.83333333333333, 850.823532104492)
	effector:SetKey(_TRACK_Y, 3.83333333333333, 500.507736206055)
	effector:SetKey(_TRACK_X, 7.95833333333333, 852.012390136719)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 784.643966674805)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_2")
	compositionsnow2:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow2)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 2.95833333333333, 842.501541137695)
	effector:SetKey(_TRACK_Y, 2.95833333333333, -23.777099609375)
	effector:SetKey(_TRACK_X, 4.70833333333333, 844.879257202148)
	effector:SetKey(_TRACK_Y, 4.70833333333333, 95.1083526611328)
	effector:SetKey(_TRACK_X, 7.95833333333333, 847.256973266602)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 257.981414794922)
	effector:Play()
 
	compositionsnow2:Play()
 
	return compositionsnow2
end
 
createCompositionsnow3 = function()
	local compositionsnow3 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionsnow3:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_1")
	compositionsnow3:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow3)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 701.027862548828)
	effector:SetKey(_TRACK_Y, 0, 550.439636230469)
	effector:SetKey(_TRACK_X, 3.625, 722.42724609375)
	effector:SetKey(_TRACK_Y, 3.625, 788.210540771484)
	effector:SetKey(_TRACK_SX, 0.25, 1)
	effector:SetKey(_TRACK_SY, 0.25, 1)
	effector:SetKey(_TRACK_SX, 0.91666666666667, 1.12686204356266)
	effector:SetKey(_TRACK_SY, 0.91666666666667, 0.62181746398877)
	effector:SetKey(_TRACK_SX, 1.83333333333333, 1)
	effector:SetKey(_TRACK_SY, 1.83333333333333, 1)
	effector:SetKey(_TRACK_A, 0, 3.036872895)
	effector:SetKey(_TRACK_A, 3.625, 4.7958547615189)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_2")
	compositionsnow3:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow3)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 687.950469970703)
	effector:SetKey(_TRACK_Y, 0, -28.5325317382813)
	effector:SetKey(_TRACK_X, 3.20833333333333, 667.739944458008)
	effector:SetKey(_TRACK_Y, 3.20833333333333, 296.024765014648)
	effector:SetKey(_TRACK_X, 7.95833333333333, 701.027862548828)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 550.439636230469)
	effector:SetKey(_TRACK_SX, 1.25, 1)
	effector:SetKey(_TRACK_SY, 1.25, 1)
	effector:SetKey(_TRACK_SX, 2.41666666666667, 1)
	effector:SetKey(_TRACK_SY, 2.41666666666667, 0.57627931922359)
	effector:SetKey(_TRACK_SX, 3.66666666666667, 1)
	effector:SetKey(_TRACK_SY, 3.66666666666667, 1)
	effector:SetKey(_TRACK_A, 0, -1.4835298625)
	effector:SetKey(_TRACK_A, 3.20833333333333, 0)
	effector:SetKey(_TRACK_A, 7.95833333333333, 3.036872895)
	effector:Play()
 
	compositionsnow3:Play()
 
	return compositionsnow3
end
 
createCompositionsnow4 = function()
	local compositionsnow4 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionsnow4:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_1")
	compositionsnow4:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow4)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 679.628494262695)
	effector:SetKey(_TRACK_Y, 0, 561.13932800293)
	effector:SetKey(_TRACK_X, 3.75, 737.628494262695)
	effector:SetKey(_TRACK_Y, 3.75, 787.13932800293)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 2, 1)
	effector:SetKey(_TRACK_SY, 2, 1)
	effector:SetKey(_TRACK_SX, 3.54166666666667, 1.31870511442333)
	effector:SetKey(_TRACK_SY, 3.54166666666667, 0.3005027144587)
	effector:SetKey(_TRACK_A, 0, 4.89481552836963)
	effector:SetKey(_TRACK_A, 3.75, 6.50867046928307)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_2")
	compositionsnow4:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow4)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 5.04166666666667, 655.195053100586)
	effector:SetKey(_TRACK_Y, 5.04166666666667, -29.4365386962891)
	effector:SetKey(_TRACK_X, 7.95833333333333, 683.195053100586)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 110.563461303711)
	effector:SetKey(_TRACK_SX, 4.66666666666667, 1)
	effector:SetKey(_TRACK_SY, 4.66666666666667, 1)
	effector:SetKey(_TRACK_SX, 6.08333333333333, 1.14285714285714)
	effector:SetKey(_TRACK_SY, 6.08333333333333, 0.33333333333333)
	effector:SetKey(_TRACK_SX, 7.95833333333333, 1)
	effector:SetKey(_TRACK_SY, 7.95833333333333, 1)
	effector:SetKey(_TRACK_A, 4.54166666666667, -1.6580627875)
	effector:SetKey(_TRACK_A, 7.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_3")
	compositionsnow4:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow4)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 683.195053100586)
	effector:SetKey(_TRACK_Y, 0, 110.563461303711)
	effector:SetKey(_TRACK_X, 1.91666666666667, 688.280358789621)
	effector:SetKey(_TRACK_Y, 1.91666666666667, 222.646608636625)
	effector:SetKey(_TRACK_X, 4.375, 665.738192618611)
	effector:SetKey(_TRACK_Y, 4.375, 367.514581452034)
	effector:SetKey(_TRACK_X, 7.95833333333333, 679.628494262695)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 561.13932800293)
	effector:SetKey(_TRACK_SX, 0.95833333333333, 1)
	effector:SetKey(_TRACK_SY, 0.95833333333333, 1)
	effector:SetKey(_TRACK_SX, 1.95833333333333, 0.60357887748579)
	effector:SetKey(_TRACK_SY, 1.95833333333333, 1.14193948835536)
	effector:SetKey(_TRACK_SX, 3, 1)
	effector:SetKey(_TRACK_SY, 3, 1)
	effector:SetKey(_TRACK_SX, 4.08333333333333, 1)
	effector:SetKey(_TRACK_SY, 4.08333333333333, 1)
	effector:SetKey(_TRACK_SX, 4.41666666666667, 1.08221805892964)
	effector:SetKey(_TRACK_SY, 4.41666666666667, 0.66883990179958)
	effector:SetKey(_TRACK_SX, 5.41666666666667, 1)
	effector:SetKey(_TRACK_SY, 5.41666666666667, 1)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 7.95833333333333, 4.89481552836963)
	effector:Play()
 
	compositionsnow4:Play()
 
	return compositionsnow4
end
 
createCompositionsnow5 = function()
	local compositionsnow5 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionsnow5:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_1")
	compositionsnow5:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow5)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 918)
	effector:SetKey(_TRACK_Y, 0, 451)
	effector:SetKey(_TRACK_X, 5.375, 913)
	effector:SetKey(_TRACK_Y, 5.375, 792)
	effector:SetKey(_TRACK_SX, 0, 1.25116893432061)
	effector:SetKey(_TRACK_SY, 0, 0.9912219996835)
	effector:SetKey(_TRACK_SX, 3.45833333333333, 1.25116893432061)
	effector:SetKey(_TRACK_SY, 3.45833333333333, 0.9912219996835)
	effector:SetKey(_TRACK_SX, 5.08333333333333, 1.39933750074208)
	effector:SetKey(_TRACK_SY, 5.08333333333333, 0.58771410919389)
	effector:SetKey(_TRACK_A, 0, -0.49934672110954)
	effector:SetKey(_TRACK_A, 5.375, -2.37984599029811)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_2")
	compositionsnow5:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow5)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 702)
	effector:SetKey(_TRACK_Y, 0, -39)
	effector:SetKey(_TRACK_X, 7.25, 906)
	effector:SetKey(_TRACK_Y, 7.25, 403)
	effector:SetKey(_TRACK_X, 7.95833333333333, 918)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 451)
	effector:SetKey(_TRACK_SX, 0, 1.14285714285714)
	effector:SetKey(_TRACK_SY, 0, 1.26666666666667)
	effector:SetKey(_TRACK_SX, 7.25, 1.14285714285714)
	effector:SetKey(_TRACK_SY, 7.25, 0.66666666666667)
	effector:SetKey(_TRACK_SX, 7.95833333333333, 1.25116893432061)
	effector:SetKey(_TRACK_SY, 7.95833333333333, 0.9912219996835)
	effector:SetKey(_TRACK_A, 0, 4.1713369075)
	effector:SetKey(_TRACK_A, 7.25, 0)
	effector:SetKey(_TRACK_A, 7.95833333333333, -0.49934672110954)
	effector:Play()
 
	compositionsnow5:Play()
 
	return compositionsnow5
end
 
createCompositionsnow6 = function()
	local compositionsnow6 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionsnow6:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_1")
	compositionsnow6:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow6)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 906.69970703125)
	effector:SetKey(_TRACK_Y, 0, 568.272445678711)
	effector:SetKey(_TRACK_X, 0.625, 925.771026928824)
	effector:SetKey(_TRACK_Y, 0.625, 596.423531294854)
	effector:SetKey(_TRACK_X, 4.125, 986.352966308594)
	effector:SetKey(_TRACK_Y, 4.125, 787.021682739258)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 2.79166666666667, 1)
	effector:SetKey(_TRACK_SY, 2.79166666666667, 1)
	effector:SetKey(_TRACK_SX, 4.08333333333333, 1.18142243434903)
	effector:SetKey(_TRACK_SY, 4.08333333333333, 0.5076187725317)
	effector:SetKey(_TRACK_A, 0, -4.1887902)
	effector:SetKey(_TRACK_A, 4.125, -5.75416516245799)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_2")
	compositionsnow6:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow6)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 3.04166666666667, 464.674926757813)
	effector:SetKey(_TRACK_Y, 3.04166666666667, -26.8730621337891)
	effector:SetKey(_TRACK_X, 8, 610.674926757813)
	effector:SetKey(_TRACK_Y, 8, 221.126937866211)
	effector:SetKey(_TRACK_SX, 4.16666666666667, 1)
	effector:SetKey(_TRACK_SY, 4.16666666666667, 1)
	effector:SetKey(_TRACK_SX, 6.04166666666667, 0.62018681813858)
	effector:SetKey(_TRACK_SY, 6.04166666666667, 1.18529761753368)
	effector:SetKey(_TRACK_SX, 7.95833333333333, 1)
	effector:SetKey(_TRACK_SY, 7.95833333333333, 1)
	effector:SetKey(_TRACK_A, 3.04166666666667, 2.757620215)
	effector:SetKey(_TRACK_A, 8, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_3")
	compositionsnow6:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow6)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 610.674926757813)
	effector:SetKey(_TRACK_Y, 0, 221.126937866211)
	effector:SetKey(_TRACK_X, 0.375, 621.374603271484)
	effector:SetKey(_TRACK_Y, 0.375, 238.959747314453)
	effector:SetKey(_TRACK_X, 7.95833333333333, 906.69970703125)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 568.272445678711)
	effector:SetKey(_TRACK_SX, 0.375, 1)
	effector:SetKey(_TRACK_SY, 0.375, 1)
	effector:SetKey(_TRACK_SX, 1.79166666666667, 0.49577101973519)
	effector:SetKey(_TRACK_SY, 1.79166666666667, 1.37128591763163)
	effector:SetKey(_TRACK_SX, 4.66666666666667, 1)
	effector:SetKey(_TRACK_SY, 4.66666666666667, 1)
	effector:SetKey(_TRACK_SX, 4.79166666666667, 1)
	effector:SetKey(_TRACK_SY, 4.79166666666667, 1)
	effector:SetKey(_TRACK_SX, 6.83333333333333, 1.11032146033159)
	effector:SetKey(_TRACK_SY, 6.83333333333333, 0.58572945835681)
	effector:SetKey(_TRACK_SX, 7.95833333333333, 1)
	effector:SetKey(_TRACK_SY, 7.95833333333333, 1)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 7.95833333333333, -4.1887902)
	effector:Play()
 
	compositionsnow6:Play()
 
	return compositionsnow6
end
 
createCompositionsnow7 = function()
	local compositionsnow7 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionsnow7:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_1")
	compositionsnow7:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow7)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 968.520141601563)
	effector:SetKey(_TRACK_Y, 0, 556.383895874023)
	effector:SetKey(_TRACK_X, 3.91666666666667, 1011.31890869141)
	effector:SetKey(_TRACK_Y, 3.91666666666667, 790.588241577148)
	effector:SetKey(_TRACK_SX, 1.58333333333333, 1)
	effector:SetKey(_TRACK_SY, 1.58333333333333, 1)
	effector:SetKey(_TRACK_SX, 3.79166666666667, 1.21447611440786)
	effector:SetKey(_TRACK_SY, 3.79166666666667, 0.31535125177147)
	effector:SetKey(_TRACK_A, 0, 4.60766922)
	effector:SetKey(_TRACK_A, 3.91666666666667, 6.63225115)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_2")
	compositionsnow7:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow7)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 5.625, 857.956680297852)
	effector:SetKey(_TRACK_Y, 5.625, -23.777099609375)
	effector:SetKey(_TRACK_X, 8, 871.034072875977)
	effector:SetKey(_TRACK_Y, 8, 80.8421020507813)
	effector:SetKey(_TRACK_A, 5.625, -1.570796325)
	effector:SetKey(_TRACK_A, 8, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."snejinka.png")
	element:SetName("Layer_3")
	compositionsnow7:AddElement(element)
	element:SetHotSpot(14, 15)
	element:SetParentElement(compositionsnow7)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 871.034072875977)
	effector:SetKey(_TRACK_Y, 0, 80.8421020507813)
	effector:SetKey(_TRACK_X, 3.08333333333333, 900.755432128906)
	effector:SetKey(_TRACK_Y, 3.08333333333333, 244.904022216797)
	effector:SetKey(_TRACK_X, 7.95833333333333, 968.520141601563)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 556.383895874023)
	effector:SetKey(_TRACK_SX, 1.45833333333333, 1)
	effector:SetKey(_TRACK_SY, 1.45833333333333, 1)
	effector:SetKey(_TRACK_SX, 2.91666666666667, 1.21859196938695)
	effector:SetKey(_TRACK_SY, 2.91666666666667, 0.62510732313668)
	effector:SetKey(_TRACK_SX, 5.75, 1)
	effector:SetKey(_TRACK_SY, 5.75, 1)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 7.95833333333333, 4.60766922)
	effector:Play()
 
	compositionsnow7:Play()
 
	return compositionsnow7
end
 
createCompositionsun = function()
	local compositionsun = CreateCompositionSequence()
	local compositionDuration = 8
	compositionsun:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."sun_palochka.png")
	element:SetName("Layer_1")
	compositionsun:AddElement(element)
	element:SetHotSpot(9, -1)
	element:SetParentElement(compositionsun)
	element:SetXY(513, 209)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."sun_krujok.png")
	element:SetName("Layer_2")
	compositionsun:AddElement(element)
	element:SetHotSpot(30, 30)
	element:SetParentElement(compositionsun)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."sun_poloska.png")
	element:SetName("Layer_3")
	compositionsun:AddElement(element)
	element:SetHotSpot(49, 49)
	element:SetParentElement(compositionsun)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."luchi.png")
	element:SetName("Layer_4")
	compositionsun:AddElement(element)
	element:SetHotSpot(85, 85)
	element:SetParentElement(compositionsun)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."sun.png")
	element:SetName("Layer_5")
	compositionsun:AddElement(element)
	element:SetHotSpot(59.5, 59.5)
	element:SetParentElement(compositionsun)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	compositionsun:Play()
 
	return compositionsun
end
 
